## org.apache.mahout.classifier.sgd
Interface Gradient

All Known Implementing Classes:
  DefaultGradient, MixedGradient, RankingGradient

    public interface Gradient

Provides the ability to inject a gradient into the SGD logistic regresion. Typical uses of this are to use a ranking score such as AUC instead of a normal loss function.

Method Summary
`Vector` `apply(String groupKey, int actual, Vector instance, AbstractVectorClassifier classifier)`

Method Detail

### apply

    Vector apply(String groupKey,
                 int actual,
                 Vector instance,
                 AbstractVectorClassifier classifier)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.